2023-04-10  Brian C. Lane  <bcl@redhat.com>

	version 3.6
	* NEWS: Record release date.

	NEWS: Releasing stable version 3.6

2023-03-24  Brian C. Lane  <bcl@redhat.com>

	maint: post-release administrivia
	* NEWS: Add header line for next release.
	* .prev-version: Record previous version.
	* cfg.mk (old_NEWS_hash): Auto-update.

	version 3.5.28
	* NEWS: Record release date.

	NEWS: Update news

	tests: Fix syntax-check warning about grep -q

	maint: Update copyright statements to 2022
	By running make update-copyright

	maint: Bump library REVISION number for release

	maint: Update README-release

	maint: Update to latest gnulib and bootstrap script

2023-03-17  Brian C. Lane  <bcl@redhat.com>

	parted: Fix ending sector location when using kibi IEC suffix
	This fixes a bug when using KiB to specify the ending location of a
	partition. It was not subtracting 1s like it does with the other units
	because it was looking for a 'k' not a 'K'.

	This also fixes a quirk of the suffix checking code, it would check for
	matching case, but converting to the actual IEC value was case
	insensitive. This now uses common functions for the matching so that
	case doesn't matter.

	It also adds tests to check for the fix.

	The only change in behavior is that using KiB to specify the ending
	location of a partition will now correctly create the end 1s lower than
	the specified location like it does for MiB, GiB, etc.

2023-02-15  Brian C. Lane  <bcl@redhat.com>

	tests: Fix formatting and snprintf warnings in tests.
	The assert message includes sector values, which are long long int, so
	use the proper formatting of %lld.

	The snprintf warning complained about trying to write 258 bytes so I
	bumped the buffer size up to 259. The return value is already being
	checked for truncation so this is just to keep the compiler happy
	without having to suppress the warning.

2023-02-15  Brian C. Lane  <bcl@redhat.com>

	ui: Add checks for prompt being NULL
	Also removes a cast from const char* to char* when passing to readline
	that doesn't appear to be necessary any longer.

	Added asserts to make sure prompt isn't NULL after strdup and realloc
	calls.

2023-02-15  Brian C. Lane  <bcl@redhat.com>

	strlist: Handle realloc error in wchar_to_str
	It could return a NULL if the realloc fails. This handles the failure in
	the same way as other failures in wchar_to_str, it exits immediately
	with an error message.

	libparted: Fix potential NULL dereference in ped_disk_next_partition

	filesys: Check for null from close_fn
	If the filesystem type name isn't known it can return a NULL.

2023-02-07  Brian C. Lane  <bcl@redhat.com>

	tests: Fixing libparted test framework usage
	The fail and fail_if functions from libcheck are deprecated, replace
	them with ck_abort_msg and ck_assert_msg. Note that the logic of assert
	is the opposite of fail_if.

2023-02-06  Brian C. Lane  <bcl@redhat.com>

	libparted: Fix problem with creating 1s partitions
	There was a 1-off error in _partition_get_overlap_constraint that
	prevented partitions from being created in 1s free space. You could
	create 1s partitions as long they were done in order, but not after
	leaving 'holes'.

	This fixes this and adds tests for it on msdos and gpt disklabels.

2022-12-13  Brian C. Lane  <bcl@redhat.com>

	tests: XFS requires a minimum size of 300M

2022-12-13  Mike Fleetwood  <mike.fleetwood@googlemail.com>

	gpt: Add no_automount partition flag
	Add user requested support for GPT partition type attribute bit 63 [1]
	so the no-auto flag in the systemd originated Discoverable Partitions
	Specification [2] can be manipulated.  The UEFI specification [3] says
	partition attribute bits 48 to 63 are partition type specific, however
	the DPS [2] and Microsoft [4] use the bit 63 to mean no automounting /
	assign no drive letter and apply it to multiple partition types so don't
	restrict its application.

	[1] Request for GPT partition attribute bit 63 "no automount" editing
	    support
	    https://gitlab.gnome.org/GNOME/gparted/-/issues/214
	[2] The Discoverable Partitions Specification (DPS),
	    Partition Attribute Flags
	    https://uapi-group.org/specifications/specs/discoverable_partitions_specification/
	[3] UEFI Specification, version 2.8,
	    Table 24. Defined GPT Partition Entry - Attributes
	    https://uefi.org/sites/default/files/resources/UEFI_Spec_2_8_final.pdf
	[4] CREATE_PARTITION_PARAMETERS structure (vds.h)
	    https://learn.microsoft.com/en-gb/windows/win32/api/vds/ns-vds-create_partition_parameters

2022-09-30  Arvin Schnell  <aschnell@suse.com>

	parted: Add display of GPT UUIDs in JSON output
	This adds 2 new disk type features, one for the whole disk UUID and
	another for the per-partition UUID. It adds ped_disk_get_uuid and
	ped_partition_get_uuid functions to retrieve them.

	It adds them to the JSON output on GPT disklabeled disks as "uuid" in
	the disk and partitions sections of the JSON output.

2022-08-15  Brian C. Lane  <bcl@redhat.com>

	tests: Add a libparted test for ped_partition_set_system on msdos
	Test the libparted API to make sure the flag is not cleared by calling
	ped_partition_set_system.

2022-08-15  Brian C. Lane  <bcl@redhat.com>

	libparted: Fix handling of msdos partition types
	This restores the previous behavior by testing the partition type
	against the list of known types and skipping the filesystem type reset.
	Now the sequence of:

	ped_partition_new(...)
	ped_partition_set_flag(part, PED_PARTITION_BLS_BOOT, 1);
	ped_partition_set_system(part, ped_file_system_type_get("ext4"));

	Will keep the type set to PED_PARTITION_BLS_BOOT, which is how it used
	to behave.

2022-08-15  Brian C. Lane  <bcl@redhat.com>

	tests: Add a libparted test for ped_partition_set_system on gpt
	Test the libparted API to make sure the flag is not cleared by calling
	ped_partition_set_system.

2022-08-15  Brian C. Lane  <bcl@redhat.com>

	libparted: Fix handling of gpt partition types
	This restores the previous behavior by testing the GUID against the list
	of known types and skipping the filesystem GUID reset. Now the sequence
	of:

	ped_partition_new(...)
	ped_partition_set_flag(part, PED_PARTITION_BIOS_GRUB, 1);
	ped_partition_set_system(part, ped_file_system_type_get("ext4"));

	Will keep the GUID set to PED_PARTITION_BIOS_GRUB, which is how it used
	to behave.

2022-08-04  Brian C. Lane  <bcl@redhat.com>

	disk.in.h: Remove use of enums with #define
	The preprocessor doesn't evaluate the enum, so it ends up being 0, which
	causes problems for library users like pyparted which try to use the _LAST
	value to conditionally include support for newer flags.

	Instead just define the int that is the first and last entry in each enum.

	Thanks to adamw and dcantrell for help arriving at a solution.

2022-07-27  Arvin Schnell  <aschnell@suse.com>

	parted: Simplify code for json output
	_PedDiskOps::get_max_primary_partition_count is always available, the
	macro PT_op_function_initializers ensures it. So use
	ped_disk_get_max_primary_partition_count instead of
	_PedDiskOps::get_max_primary_partition_count directly.

	libparted: Fix check for availability of _type_id functions
	Fix a copy/paste error. In practice this didn't cause any problems
	because the *_set_type_id and *_get_type_id are either both NULL or both
	set to the function.

2022-05-13  Brian C. Lane  <bcl@redhat.com>

	tests: t3200-type-change now passes

	parted: Reset the filesystem type when changing the id/uuid
	Without this the print command keeps showing the type selected with
	mkpart, which doesn't match the id/uuid set by the user. So rescan the
	partition for a filesystem.

2022-05-13  Arvin Schnell  <aschnell@suse.com>

	libparted: add swap flag for DASD label
	Support the swap flag and fix reading flags from disk. Also
	cleanup code by dropping the 2 flags "raid" and "lvm" from
	DasdPartitionData and instead use "system" directly.

	parted: add type command
	Include the partition type-id and type-uuid in the JSON
	output. Also add the the command 'type' to set them. Remove
	redundant flags from DosPartitionData and use only the system
	variable.

2022-04-18  Brian C. Lane  <bcl@redhat.com>

	maint: post-release administrivia
	* NEWS: Add header line for next release.
	* .prev-version: Record previous version.
	* cfg.mk (old_NEWS_hash): Auto-update.

	version 3.5
	* NEWS: Record release date.

	NEWS: Mention gnulib update

	maint: Update to latest gnulib and bootstrap script

2022-04-05  Brian C. Lane  <bcl@redhat.com>

	maint: post-release administrivia
	* NEWS: Add header line for next release.
	* .prev-version: Record previous version.
	* cfg.mk (old_NEWS_hash): Auto-update.

	version 3.4.64.2
	* NEWS: Record release date.

	NEWS: Mention bugfix

2022-03-31  Benno Schulenberg  <bensberg@telfort.nl>

	bug#54649: [PATCH] usage: remove the mention of "a particular partition"
	This complements commit b20227adf5 from five months ago.

2022-03-30  Brian C. Lane  <bcl@redhat.com>

	maint: post-release administrivia
	* NEWS: Add header line for next release.
	* .prev-version: Record previous version.
	* cfg.mk (old_NEWS_hash): Auto-update.

	version 3.4.64
	* NEWS: Record release date.

2022-03-29  Brian C. Lane  <bcl@redhat.com>

	NEWS: Add new features and bugs

2022-03-28  Brian C. Lane  <bcl@redhat.com>

	doc: Add KiB and mention rescue in documentation

2022-03-25  Brian C. Lane  <bcl@redhat.com>

	configure.ac: Add AC_CONFIG_MACRO_DIR

	configure.ac: Add -Wno-portability
	This is to quiet automake warnings about Makefile.am files using GNU
	make extensions like pattern rules.

	configure.ac: Update macros for autoconf 2.71

	tests: Remove trailing blanks

	parted: Fix config.h include in jsonwrt.c

	libparted: Fix syntax-check sc_avoid_if_before_free error
	It is safe to free even if they are NULL.

2022-03-23  Brian C. Lane  <bcl@redhat.com>

	gpt: Include xalloc-oversized.h

	maint: Add ./lib/malloc and libparted-fs-resize.pc to .gitignore

	maint: Update copyright statements to 2022
	By running make update-copyright

	maint: Bump library REVISION number for release

	maint: Update to latest gnulib and bootstrap script

2021-12-01  Brian C. Lane  <bcl@redhat.com>

	doc: Add bios_grub to parted manpage

2021-10-06  Brian C. Lane  <bcl@redhat.com>

	docs: Update documentation to be consistent
	This fixes some missing commands in the parted.texi file used to
	generate the web manual and info document. It also removes documentation
	for the never-implemented 'print NUMBER' command which only returns 1.

	The parted manpage has been updated to document the available print
	options, disk_set, and disk_toggle commands.

2021-09-30  Brian C. Lane  <bcl@redhat.com>

	gpt: Revert to filesystem GUID when setting flag to off

	tests: Add a test to make sure GPT GUIDs default to filesystem
	When no flag is set on a GPT partition the GUID should fall back to the
	filesystem type for fat32, swap, and hfs+ and if no filesystem is found
	it should default to linux filesystem data type, showing no filesystem
	and no flags.

	doc: Document gpt linux-home flag

2021-09-30  Arvin Schnell  <aschnell@suse.com>

	gpt: Add linux-home flag
	This sets the partition GUID to the linux home type:
	933AC7E1-2EB4-4F13-B844-0E14E2AEF915

2021-09-29  Arvin Schnell  <aschnell@suse.com>

	gpt: Map PED_PARTITON_ flags to GUID values
	Drop the 14 flags from _GPTPartitionData that correspond to a
	partition type/uuid. Use the type/uuid directly instead.

2021-09-23  Arvin Schnell  <aschnell@suse.com>

	keep GUID specific attributes
	Keep GUID specific attributes when writing GPT.

2021-09-22  Colin Watson  <cjwatson@ubuntu.com>

	hurd: Implement partition table rereading
	We have to tell both the device for the drive itself, it case it
	implements the partitioned devices, and tell the partition devices
	to go away, in case they are implemented on their own by using parted.

2021-09-22  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	hurd: Support rumpdisk-based device names

2021-09-22  Colin Watson  <cjwatson@ubuntu.com>

	hurd: Fix partition paths
	We have always had an 's' to separate drive number from partition
	number.

2021-08-25  Arvin Schnell  <aschnell@suse.com>

	parted: Add --json cmdline switch to output JSON
	This outputs the disk's details as a JSON object. eg. a disk image with
	a single partition from 1M to 100M:

	{
	   "disk": {
	      "path": "/root/disk1.img",
	      "size": "2097152s",
	      "model": "",
	      "transport": "file",
	      "logical-sector-size": 512,
	      "physical-sector-size": 512,
	      "label": "gpt",
	      "max-partitions": 128,
	      "partitions": [
	         {
	            "number": 0,
	            "start": "34s",
	            "end": "2047s",
	            "size": "2014s",
	            "type": "free"
	         },{
	            "number": 1,
	            "start": "2048s",
	            "end": "200703s",
	            "size": "198656s",
	            "type": "primary",
	            "name": "root"
	         },{
	            "number": 0,
	            "start": "200704s",
	            "end": "2097118s",
	            "size": "1896415s",
	            "type": "free"
	         }
	      ]
	   }
	}

2021-08-25  Arvin Schnell  <aschnell@suse.com>

	parted: Allow empty string for partition name
	This makes it possible to pass an empty string in script mode e.g. to
	set no partition name (on GPT):

	parted -s ./disk.img mklabel gpt mkpart '""' ext2 1 100M

	Includes a new test for this feature.

2021-08-25  Brian C. Lane  <bcl@redhat.com>

	libparted: Check devpath before passing to strlen

2021-08-10  Brian C. Lane  <bcl@redhat.com>

	libparted: Tell libdevmapper to retry remove when BUSY
	This sets the libdevmapper retry remove flag, which will retry a remove
	command if it is BUSY.

	parted already has it's own BUSY retry code, but when run with
	device-mapper an error can be printed by libdevmapper which can be
	confusing to the user.

	Resolves: rhbz#1980697

2021-08-10  Brian C. Lane  <bcl@redhat.com>

	parted: Escape colons and backslashes in machine output
	The device path, device model, and partition name could all contain
	colons or backslashes. This escapes all of these with a backslash.

	Thanks to Arvin Schnell for the patch.

2021-08-10  Ross Burton  <ross.burton@arm.com>

	tests: check for vfat kernel support and tools
	t1100-busy-label.sh and t1101-busy-partition.sh create and mount VFAT
	partitions, so check for both the tools and the kernel support.

	Fixes bug#49594.

2021-08-10  Ross Burton  <ross.burton@arm.com>

	tests: add a helper to check the kernel knows about a file system
	Some tests need both the file system tools (eg mkfs.vfat) and kernel
	support (eg vfat kernel module) to pass.

	There are already helpers such as require_fat_ which check for mkfs.vfat,
	but if the kernel doesn't support the filesystem then mounting the disk
	image will fail.

	Add require_filesystem_, which checks for either the filesystem name in
	/proc/filesystems (so it's built-in, or already loaded) or if the name
	is a valid module (so can be loaded on demand).

2021-08-10  Ross Burton  <ross.burton@arm.com>

	tests: add aarch64 and mips64 as a valid 64-bit machines
	require_64_bit_ in t-lib-helpers.sh has a hard-coded list of uname
	machines that are 64-bit, so add aarch64 and mips64 to cover the major
	architectures.

2021-08-10  Brian C. Lane  <bcl@redhat.com>

	libparted: Add swap flag to msdos disklabel
	Previously you had to set the filesystem type to one of the linux-swap
	options at creation time. With this change you can now toggle the
	partition swap type using the 'swap' partition flag in the same way that
	you can on gpt disklabels.

	Thanks to Arvin Schnell for this patch.

2021-08-10  Brian C. Lane  <bcl@redhat.com>

	Move Exception Option values into enum
	Adding enums together doesn't create a new enum value, so when compiling
	with warnings you will get warnings like:

	warning: case value ‘96’ not in enumerated type

	for PED_EXCEPTION_IGNORE_CANCEL

	This moved the defines into the enum as new values so that they are
	recognized as valid members of the enum with the values staying the
	same.

	NOTE: PED_EXCEPTION_OPTION_LAST *MUST* be the last of the individual
	options, not the combined options.

	Thanks to D. Hugh Redelmeier for this patch.

2021-07-29  Brian C. Lane  <bcl@redhat.com>

	tests/t3000: Use mkfs.hfsplus and fsck.hfsplus for resize tests

2021-07-15  Brian C. Lane  <bcl@redhat.com>

	tests/t3000: Check for hfs and vfat support separately
	Previously the whole test would be skipped if either mkfs.hfs or
	mkfs.vfat were not installed, leading to missing test coverage. This
	change checks for them individually so that the test will run with
	either or both of them installed

2021-07-14  Brian C. Lane  <bcl@redhat.com>

	tests/t6006: Change dev_size_mb to 10
	This is backed by memory, so using more than is needed limits the size
	of the system it can run on.

	tests/t3200: Change dev_size_mb to 10
	This is backed by memory, so using more than is needed limits the size
	of the system it can run on.

2021-07-14  Brian C. Lane  <bcl@redhat.com>

	tests/t3000: Change dev_size_mb to 267
	FAT32 needs a minimum partition size of 256MB so this is as small as we
	can make it.

	This is backed by memory, so using more than is needed limits the size
	of the system it can run on.

2021-07-12  Brian C. Lane  <bcl@redhat.com>

	tests/t1701: Change dev_size_mb to 10
	This is backed by memory, so using more than is needed limits the size
	of the system it can run on.

	tests/t1102: Change dev_size_mb to 10
	This is backed by memory, so using more than is needed limits the size
	of the system it can run on.

	tests/t1101: Change dev_size_mb to 10
	This is backed by memory, so using more than is needed limits the size
	of the system it can run on.

	tests/t1100: Change dev_size_mb to 10
	This is backed by memory, so using more than is needed limits the size
	of the system it can run on.

2021-06-14  Brian C. Lane  <bcl@redhat.com>

	tests: t9050 Use /dev/zero for temporary file and mkswap
	and clean up the usage a little bit by giving it a proper name and
	removing the file when finished.

	tests: t0400 - Work around a mkswap bug by using /dev/zero
	mkswap gets stuck, in some situations, when operating on a file full of
	holes (see https://bugzilla.redhat.com/show_bug.cgi?id=1971877) so work
	around that by using /dev/zero instead of /dev/null

2021-06-11  Brian C. Lane  <bcl@redhat.com>

	libparted: Fix potential memory leak in gpt_write
	_generate_header() can return with 1 after allocating gpt so it needs to
	be freed in the error path.

	libparted: Fix warning about buffer size in Atari label
	When the Atari table is empty it copies 'PARTEDATARI' into the id, and
	the start and size bytes. This can be confusion, so turn it into a
	union of the string and the non-empty values.

	parted: Fix memory leaks in do_resizepart

	parted: Free tmp usage inside do_print
	str_list_create calls gettext_to_wchar which makes a copy of it.

	parted: Fix end_input leak in do_mkpart

	fs: Fix copy-paste error in HFS journal code

	libparted: Fix potential memory leak in sdmmc_get_product_info

	libparted: Fix fd check in _flush_cache
	In theory open() could return 0 so the correct error value is -1.

2021-02-09  Brian C. Lane  <bcl@redhat.com>

	t0501-duplicate.sh: Add some more disk label types to the duplicate test
	Add sun, atari, mac, and pc98 to the disklabels that we test
	ped_disk_duplicate on.

	aix isn't included because it doesn't support adding partitions.
	dvh doesn't support boot partition
	loop cannot be partitioned

2021-02-09  Brian C. Lane  <bcl@redhat.com>

	tests: Increase disk size for duplicate test
	Increase it from 8MiB to 32MiB and start the first partition at 2048
	sector boundary instead of 32 so that no matter the sector size it will
	be aligned.

2021-01-28  Cristian Klein  <cristian.klein@elastisys.com>

	tests: Fix t9041-undetected-in-use-16th-partition
	Sometimes fails with:
	```
	+ mkfs.ext3 /dev/sda15
	mke2fs 1.45.5 (07-Jan-2020)
	/dev/sda15: Not enough space to build proposed filesystem while setting up superblock
	```

2021-01-28  Cristian Klein  <cristian.klein@elastisys.com>

	tests: Fix test t1700-probe-fs
	mkfs.ext3 (see version below) was complaining that the filesystem is too small
	for a journal, which made the test fail.

	```
	$ mkfs.ext3 -V
	mke2fs 1.45.5 (07-Jan-2020)
		Using EXT2FS Library version 1.45.5
	```

2021-01-28  Cristian Klein  <cristian.klein@elastisys.com>

	tests: Add tests for --fix

	doc: Document --fix flag
	Also fix copyright year, to please `make syntax-check`.

2021-01-28  Cristian Klein  <cristian.klein@elastisys.com>

	parted: add --fix to "fix" in script mode
	Use-case: VMs are booted from images that are smaller than their virtual
	disk. This means that -- almost by definition -- the secondary GPT
	header will be "misplaced", i.e., not at the end of the virtual disk.

	Without this patch, parted cannot be used for custom/exotic partitioning
	when the VM boots (e.g., in cloud-init's `bootcmd`). Specifically, it
	will fail as follows:

	```
	$ sudo parted --script /dev/vda "mkpart 2 10GB -1"
	Warning: Not all of the space available to /dev/vda appears to be used,
	you can fix the GPT to use all of the space (an extra 500 blocks) or continue with the current setting?
	Error: Unable to satisfy all constraints on the partition.
	```

	This happens because, in script mode, exceptions are usually not
	resolved.

	This patch adds `--fix`. This allows exceptions to be automatically
	resolved with Fix. As a result, the following command will work:

	```
	$ sudo parted --fix --script /dev/vda "mkpart 2 10GB -1"
	```

2021-01-28  Brian C. Lane  <bcl@redhat.com>

	libparted: Add includes for gnulib redefining free
	gnulib redefines free using #define, causing problems with the
	pt-common.h file. Work around that by including standard header files as
	suggested by gnulib maintainer:

	https://lists.gnu.org/archive/html/bug-gnulib/2021-01/msg00315.html

2021-01-27  Brian C. Lane  <bcl@redhat.com>

	maint: Update bootstrap script from latest gnulib

	maint: Update to latest gnulib

	maint: post-release administrivia
	* NEWS: Add header line for next release.
	* .prev-version: Record previous version.
	* cfg.mk (old_NEWS_hash): Auto-update.

	version 3.4
	* NEWS: Record release date.

	NEWS: Mention the non-public gnulib commit

2021-01-26  Brian C. Lane  <bcl@redhat.com>

	cfg.mk: disable submodule checks to work around broken upstream gnulib

	Include local gnulib change to version-etc.c date

2021-01-18  Brian C. Lane  <bcl@redhat.com>

	maint: Update copyright statements to 2021
	By running make update-copyright

	README-release: Add information for updating the Translation Project

2020-12-14  Brian C. Lane  <bcl@redhat.com>

	maint: post-release administrivia
	* NEWS: Add header line for next release.
	* .prev-version: Record previous version.
	* cfg.mk (old_NEWS_hash): Auto-update.

	version 3.3.52
	* NEWS: Record release date.

2020-12-11  Brian C. Lane  <bcl@redhat.com>

	libparted/fs: Add ./lib to include search path

	libparted: Check for NULL flag_name in ped_partition_flag_get_by_name
	strcasecmp parameters cannot be NULL according to gcc -Wanalyzer-null-argument

	po/POTFILES.in: Remove xstrtol-error.c
	Appears to no longer be needed, results in an error when running make
	check syntax-check.

	maint: Update copyright statements to 2020
	By running make update-copyright

	configure.ac (AC_PREREQ): Require 2.64

	maint: Bump library REVISION number for release

	maint: Update bootstrap script from latest gnulib

	maint: Update to latest gnulib

2020-12-04  Brian C. Lane  <bcl@redhat.com>

	labels/bsd.c: Drop alpha_bootblock_checksum from bsd_probe
	Thanks to Alpine Linux for catching this. In commit
	a5f69f396713ab8ac1e57458cbb9af552d2c1659 I change label to actually
	point to the label and failed to pass the new s0 to
	alpha_bootblock_checksum() instead of label. So it was writing the
	so-called checksum off the end of the 512b sector buffer.

	bug: https://gitlab.alpinelinux.org/alpine/aports/-/issues/12161
	upstream report: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=45026

2020-11-20  Brian C. Lane  <bcl@redhat.com>

	libparted/fs: Fix GCC warnings suggesting pure for PED_ASSERT functions
	There was some question about whether or not pure should be used for
	functions with PED_ASSERT (or exit) in them. It should be fine, since
	the values checked by the ASSERT are passed to the function directly.
	Behavior should be exactly the same for the same inputs.

	libparted: Remove disabled code

	fs/r/hfs: Remove disabled code

	fs/r/fat: Remove disabled code

	hfs/reloc_plus: Fix gcc 10 warnings about cast alignment

	hfs/reloc: Fix gcc 10 warnings about cast alignment

	ui: Fix gcc 10 warning about snprintf truncating an int
	Double the storage to 20 bytes.

	ui: Fix command_line_get_disk_flag
	It was using PedPartitionFlag instead of PedDiskFlag when walking the
	available flags.

	ped_assert: Fix incorrect exception option
	PED_EXCEPTION_FATAL is a type, not an option. A PED_EXCEPTION_BUG should
	always select CANCEL.

	ufs:  Fix gcc 10 warnings about cast alignment

	ntfs:  Fix gcc 10 warnings about cast alignment

	nilfs2: Fix gcc 10 warnings about cast alignment

	ext2: Fix gcc 10 warnings about cast alignment

	hfs/hfs: Fix gcc 10 warnings about cast alignment

	hfs/advfs_plus: Fix gcc 10 warnings about cast alignment

	hfs/advfs: Fix gcc 10 warnings about cast alignment

	hfs: Fix gcc 10 bounds check warning
	binfo is actually a list of structs that cannot be known until runtime,
	so use a variable length array.

	tests: Fix unsigned warning in duplicate.c

	linux: Fix gcc complains about signed sccanf variables

	dos: Fix gcc complaints when using boot_code pointer

	bsd: Fix gcc complaints when using boot_code pointer

2020-11-20  Shin'ichiro Kawasaki  <kawasaki@juno.dti.ne.jp>

	libparted: Fix warnings from GCC 8 -Wsuggest-attribute=const
	As GCC 8 suggests, add 'const' attribute to six functions. After adding
	const attributes, GCC suggested two more functions to add const
	attributes. Add const attributes to those functions also. In total, add
	const attributes to 8 functions.

	I read code of the functions and confirmed they are const: they examine
	only their arguments and have no effect other than return value.

2020-11-20  Shin'ichiro Kawasaki  <kawasaki@juno.dti.ne.jp>

	libparted: Fix warnings from GCC 8 -Wsuggest-attribute=pure
	As GCC 8 suggests, add 'pure' attribute to 17 functions. After adding
	pure attributes, GCC suggested three more functions to add pure
	attributes. Add pure attribute to those functions also. In total, add
	pure attributes to 20 functions.

	I read code of the functions and confirmed the 20 functions are pure:
	they have no effect except the return value, and their return value
	depend only on the parameters and/or global variables.

2020-11-05  Shin'ichiro Kawasaki  <kawasaki@juno.dti.ne.jp>

	libparted: Avoid a GCC warning for unused functions
	libparted/fs/r/hfs/hfs.c has a '#if 0' block. The block refers two
	functions hfsplus_clobber() and hfs_clobber(). It have GCC report a
	warning below.

	  CC       r/hfs/hfs.lo
	r/hfs/hfs.c:343:1: warning: 'hfsplus_clobber' defined but not used [-Wunused-function]
	  343 | hfsplus_clobber (PedGeometry* geom)
	      | ^~~~~~~~~~~~~~~

	To avoid the warning, add two more '#if 0' to disable the two functions.

2020-11-05  Shin'ichiro Kawasaki  <kawasaki@juno.dti.ne.jp>

	libparted: Fix warnings from GCC's -Wimplicit-fallthrough
	Two case statements have intentional fall-throughs but do not have
	comments to note it. GCC detects and warns those case statements. To
	avoid the warning, add fall-through comments.

2020-11-05  Shin'ichiro Kawasaki  <kawasaki@juno.dti.ne.jp>

	libparted: Fix warnings from GCC 8 -Wunused-variable and -Warray-bounds
	GCC 8 reports two warnings as follows.

	r/fat/bootsector.c: In function 'fat_boot_sector_set_boot_code':
	r/fat/bootsector.c:274:15: warning: unused variable 'fs_info' [-Wunused-variable]
	  FatSpecific* fs_info = FAT_SPECIFIC (fs);
	               ^~~~~~~
	In function 'memcpy',
	    inlined from 'fat_boot_sector_set_boot_code' at r/fat/bootsector.c:283:2:
	/usr/include/bits/string_fortified.h:34:10: warning: '__builtin_memcpy' forming offset [126, 128] is out of the bounds [0, 125] [-Warray-bounds]
	   return __builtin___memcpy_chk (__dest, __src, __len, __bos0 (__dest));
	          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

	To avoid the warnings, remove the unused variable. Use strcpy in place of
	memcpy checking copy length.

2020-11-05  Shin'ichiro Kawasaki  <kawasaki@juno.dti.ne.jp>

	libparted: Fix a GCC warning -Wunused-but-set-variable
	GCC warns that a variable 'prealloc' defined for _generic_affs_probe() in
	fs/amiga/affs.c is set but its value is never used.

	  CC       amiga/affs.lo
	amiga/affs.c: In function '_generic_affs_probe':
	amiga/affs.c:54:35: warning: variable 'prealloc' set but not used [-Wunused-but-set-variable]
	   54 |  int blocksize = 1, reserved = 2, prealloc = 0;
	      |                                   ^~~~~~~~
	Remove the variable for simplicity and to avoid the warning.

2020-11-05  Brian C. Lane  <bcl@redhat.com>

	tests: Update all the dmsetup tests to use ENABLE_DEVICE_MAPPER

2020-11-05  Joe Slater  <joe.slater@windriver.com>

	t6001-psep: modify device manage support detection
	Use the method other tests use -- test an environment variable.

2020-11-05  Petr Lautrbach  <plautrba@redhat.com>

	Do not link to libsepol or libselinux
	Given that there's no code which would use it there's no reason to link
	to libsepol or libselinux even when they are available.

2020-09-01  Brian C. Lane  <bcl@redhat.com>

	tests: Add a test for resizepart on a busy partition
	This makes sure that the resizepart on a busy partition with the size on
	the cmdline will work.

2020-08-31  Brian C. Lane  <bcl@redhat.com>

	parted: Preserve resizepart End when prompted for busy partition
	Resizing busy partitions is allowed, but the user is prompted, which
	erases the cmdline. It is annoying to have to re-end the ending location
	after answering Yes. This saves the word and pushes it back onto the
	cmdline after the user agrees to resize the busy partition.

2020-05-04  Romain Perier  <romain.perier@gmail.com>

	tests: Add f2fs to the fs probe test

	Add support for the F2FS filesystem
	This adds a basic support for the Flash-Friendly File System. So
	we can manipulate the file system by using the PedFileSystem API and we
	can do basic device probing for autodetecting the current fs.

2020-03-09  Max Campbell  <max@0m.ax>

	Removed reference to ped_file_system_create
	Removed a reference to the removed function ped_file_system_create in
	the docs for ped_file_system_clobber.

2019-12-20  Brian C. Lane  <bcl@redhat.com>

	NEWS: Add bls_boot to new features

	libparted: Add support for bls_boot to GPT disks
	This sets the partition GUID to bc13c2ff-59e6-4262-a352-b275fd6f7172 to
	indicate that the partition is a Boot Loader Specification compatible
	/boot partition.

	libparted: Add support for MSDOS partition type bls_boot (0xea)
	This type is used by the Boot Loader Specification to identify a
	compatible /boot boot partition.

2019-12-20  Alper Nebi Yasak  <alpernebiyasak@gmail.com>

	libparted: Add ChromeOS Kernel partition flag
	This adds a GPT-only partition type flag, chromeos_kernel, for use on
	Chrome OS machines, with GUID FE3A2A5D-4F32-41A7-B725-ACCC3285A309.

	The firmware/bootloader in these machines relies on special images being
	written to partitions of this type. Among multiple such partitions, it
	decides which one it will boot from based on the GUID-specific partition
	attributes. This patch is not intended to and does not manipulate these
	bits.

	Google refers to these partitions as "ChromeOS kernel" partitions. They
	also define partitions for rootfs, firmware, and a reserved one; but
	these are not necessary for the boot flow and are not included here.

	Relevant ChromiumOS documentation:
	https://www.chromium.org/chromium-os/chromiumos-design-docs/disk-format

2019-12-16  Brian C. Lane  <bcl@redhat.com>

	Fix end_input usage in do_resizepart
	It needs to be set to NULL, since it may not get set by the call to
	command_line_get_sector

	tests: Test incomplete resizepart command

2019-10-11  Brian C. Lane  <bcl@redhat.com>

	maint: Add note about gpg key selection for gnupload

	Switch gpt-header-move and msdos-overlap to python3
	python2 is EOL on January 1, 2020 so it is time to switch to python3.

2019-10-10  Brian C. Lane  <bcl@redhat.com>

	maint: post-release administrivia
	* NEWS: Add header line for next release.
	* .prev-version: Record previous version.
	* cfg.mk (old_NEWS_hash): Auto-update.

	version 3.3
	* NEWS: Record release date.

	NEWS: Note the fix for the s390 bug

2019-09-30  Viktor Mihajlovski  <mihajlov@linux.ibm.com>

	libparted/s390: Re-enabled virtio-attached DASD heuristics
	DASDs attached to KVM guest as virtio-blk devices are only handled
	properly, if the unique DASD geometry is detected. Commit id
	61dd3d4c5eb782eb43caa95342e63727db3f8281 has prevented proper geometry
	detection. Fixed by making sure that HDIO_GETGEO takes precedence
	on s390[x].

2019-08-21  Brian C. Lane  <bcl@redhat.com>

	README-release: Add link to upload registration page
	Without this you cannot use gnupload to send the new release tarball to
	the ftp servers.

2019-08-12  Brian C. Lane  <bcl@redhat.com>

	maint: post-release administrivia
	* NEWS: Add header line for next release.
	* .prev-version: Record previous version.
	* cfg.mk (old_NEWS_hash): Auto-update.

	version 3.2.153
	* NEWS: Record release date.

	maint: Move NEWS template to line 3

	maint: Update copyright statements to 2019
	By running make update-copyright

	maint: Bump library REVISION number for release

	maint: Update bootstrap script from latest gnulib
[--snip--]
